'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _g, _path2, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgChinaCircled = function SvgChinaCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "ChinaCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#ChinaCircled_svg__b)",
    mask: "url(#ChinaCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#EE1C25",
    d: "M1 1h46v46H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FF0",
    d: "M19.4 10.43 7.67 18.02 12.5 5.6l4.14 12.42L5.6 10.43zM22.255 3.97l4.18 2.046-4.375.752 2.836-3.313-.274 4.455zM27.582 8.027l3.056 3.514-4.326-1.01 3.904-1.95-1.986 4zM28.544 14.704l1.355 4.458-3.538-2.69 4.362-.186-3.448 2.842zM24.9 19.475l-.471 4.63-2.223-3.843 4.092 1.512-4.274 1.289z"
  }))), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "ChinaCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgChinaCircled;
